### Method

# Gtk CellAreaContext get_allocation

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_context_get_allocation (
      GtkCellAreaContext* context,
      int* width,
      int* height
    )

#### Description [src]

Fetches the current allocation size for `context`.

If the context was not allocated in width or height, or if the context was recently reset with gtk_cell_area_context_reset(), the returned value will be -1.

Deprecated since: 4.10

This object will be removed in GTK 5

#### Parameters

`width`

  Type: `int*`

  Location to store the allocated width.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `int*`

  Location to store the allocated height.

  The argument will be set by the function.
  The argument can be `NULL`.